$link-color: #3f51b5;
$link-hover-color: currentColor;
$link-hover-decoration: none;
$label-margin-bottom: 0;
$mobile-header-height: 113px;

$font-thin: 100;
$font-light: 300;
$font-regular: 400;
$font-medium: 500;
$font-bold: bold;
$font-extra-bold: 800;
$font-family: 'BetaSTC';
$font-size-base: 16;

$black: #000000;
$black2: #352D2D;
$white: #FFFFFF;
$coral: #FF375E;
$coral2:#CA102F;
$silver: #DDE0E1;
$onyx: #1D242D;
$primary-purple: #4F008C;
$secondary-purple: #A54EE1;
$oasis-light: #00C48C;
$light-gray: #F3F3F1;
$light-gray2: #F4F4F4;
$mid-gray: #BBC8CE;
$dark-gray: #8E9AA0;
$silver-light: #F3F3F1;
$off-white: #f9f9f9;
$off-white2: #F8F8F8;
$off-white3: #FDFDFC;
$danger: #CF2543;
$warning: #FFDD40;
$yellow: #FFBF00;
$sea-light: #1BCED8;
$transparent: transparent;
$orange: #FF6A39;
$colors: (
  black:$black,
  white: $white,
  coral: $coral,
  coral2: $coral2,
  silver: $silver,
  onyx: $onyx,
  primary-purple: $primary-purple,
  secondary-purple: $secondary-purple,
  oasis-light: $oasis-light,
  light-gray: $light-gray,
  mid-gray: $mid-gray,
  dark-gray:$dark-gray,
  off-white:$off-white,
  off-white2: $off-white2,
  off-white3:$off-white3,
  danger: $danger,
  warning: $warning,
  yellow:$yellow,
  sea-light:$sea-light,
  orange:$orange,
  transparent:$transparent,
);

$catColors: (
  #A54EE1,
  #00C48C,
  #FF6A39,
  #1CCED8,
  #A54EE1,
  #00C48C,
  #FF6A39,
  #1CCED8,
  #A54EE1,
  #00C48C,
  #FF6A39,
  #1CCED8,
  #A54EE1,
  #00C48C,
  #FF6A39,
  #1CCED8,
  #A54EE1,
  #00C48C,
  #FF6A39,
  #1CCED8,
  #A54EE1,
  #00C48C,
  #FF6A39,
  #1CCED8,
  #A54EE1,
  #00C48C,
  #FF6A39,
  #1CCED8,
  #A54EE1,
  #00C48C,
  #FF6A39,
  #1CCED8,
);
@mixin colors-bg-text {
  @for $i from 1 through length($colors) {
    $key: nth($colors, $i);
    $value: nth($key, 2);
    .bg-color-#{"" + nth($key, 1)} {
      background-color: $value;
    }
    .bg-color-hover-#{"" + nth($key, 1)} {
      &:hover, &.nav-link.active {
        background-color: $value;
      }
    }
    .bg-color-hover-#{"" + nth($key, 1)}-imp {
      &:before{
        content: "";
        width: 0;
        height: 100%;
        position: absolute;
        background-color: $value !important;
        transition: all .3s ease-in-out;
      }
      &:hover , &.nav-link.active ,&.nav-link[aria-expanded="true"]{
        &:before{
          width: 100%;
        }
      }
    }
    .text-color-#{"" + nth($key, 1)} {
      color: $value;
    }
    .bg-color-#{"" + nth($key, 1)}-imp {
      background-color: $value !important;
    }
    .text-color-#{"" + nth($key, 1)}-imp {
      color: $value !important;
    }

    .#{"" + nth($key, 1)}-checkbox.mat-accent {
      .mat-checkbox-frame {
        border-color: $value !important;
      }

      &.mat-checkbox-checked {
        .mat-checkbox-background {
          background-color: $value !important;
        }
      }

    }

  }
}

@include colors-bg-text;


$commitmentColors: (
  color-1:#E5243E,
  color-2:#DEA73A,
  color-3:#4CA247,
  color-4:#C82231,
  color-5:#F0402F,
  color-6:#26BFE7,
  color-7:#FCC514,
  color-8:#A31D45,
  color-9:#F26A2D,
  color-10:#E14199,
  color-11:#F89D2A,
  color-12:#C08E2D,
  color-13:#408046,
  color-14:#1F97D5,
  color-15:#5ABA48,
  color-16:#146BA0,
  color-17:#134B6C,
);
@mixin colors-commitment-text {
  @for $i from 1 through length($commitmentColors) {
    $key: nth($commitmentColors, $i);
    $value: nth($key, 2);

    .text-#{"" + nth($key, 1)} {
      color: $value;
    }

  }
}

@include colors-commitment-text;
